Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.crd
Interface RemoteCRDManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCRDManager

extends java.rmi.Remote

CRD Manager used to RMI

Since:
  version 10

Method Summary
`void` | `createCRD(java.lang.String loginUser, CRDInfo crdInfo)` Creates a CRD.
`void` | `deleteCompletedCRD(java.lang.String loginUser, int id)` Deletes a completed CRD task.
`void` | `deleteCompletedCRD(java.lang.String loginUser, int[] ids)` Deletes completed CRD tasks.
`void` | `deleteCRD(java.lang.String loginUser, CRDInfoKey crdKey)` Deletes a CRD.
`CompletedCRDInfo` | `getCompletedCRD(java.lang.String loginUser, int id)` Gets a Completed CRD.
`CRDInfo` | `getCRD(java.lang.String loginUser, CRDInfoKey crdKey)` Gets a CRD.
`java.util.List<RemoteParamInfo>` | `getParamInfos(java.lang.String loginUser, CRDInfoKey crdKey)` Gets parameter information.
`java.util.Vector<CompletedCRDInfo>` | `listCompletedCRDs(java.lang.String loginUser)` Gets completed CRD tasks list.
`java.util.Vector<CRDInfo>` | `listCRDs(java.lang.String loginUser)` Gets CRD list.
`java.util.Vector<RunningCRDInfo>` | `listRunningCRDs(java.lang.String loginUser)` Gets running CRD tasks list.
`void` | `updateCRD(java.lang.String loginUser, CRDInfo crdInfo)` Updates a CRD.

Method Detail

### createCRD

    void createCRD(java.lang.String loginUser,
                   CRDInfo crdInfo)
                   throws java.rmi.RemoteException,
                          CRDManageException

  Creates a CRD.

  Parameters:
    `crdInfo` - CRD information
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### getCRD

    CRDInfo getCRD(java.lang.String loginUser,
                   CRDInfoKey crdKey)
                   throws java.rmi.RemoteException,
                          CRDManageException

  Gets a CRD.

  Parameters:
    `crdKey` - CRD information key.
  Returns:
    CRD information.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### deleteCRD

    void deleteCRD(java.lang.String loginUser,
                   CRDInfoKey crdKey)
                   throws java.rmi.RemoteException,
                          CRDManageException

  Deletes a CRD.

  Parameters:
    `crdKey` - CRD information key.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### updateCRD

    void updateCRD(java.lang.String loginUser,
                   CRDInfo crdInfo)
                   throws java.rmi.RemoteException,
                          CRDManageException

  Updates a CRD.

  Parameters:
    `crdInfo` - CRD information key.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### listCRDs

    java.util.Vector<CRDInfo> listCRDs(java.lang.String loginUser)
                                       throws java.rmi.RemoteException,
                                              CRDManageException

  Gets CRD list.

  Returns:
    CRD list
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### listRunningCRDs

    java.util.Vector<RunningCRDInfo> listRunningCRDs(java.lang.String loginUser)
                                                     throws java.rmi.RemoteException,
                                                            CRDManageException

  Gets running CRD tasks list.

  Returns:
    Running CRD list.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### deleteCompletedCRD

    void deleteCompletedCRD(java.lang.String loginUser,
                            int id)
                            throws java.rmi.RemoteException,
                                   CRDManageException

  Deletes a completed CRD task.

  Parameters:
    `id` - the completed CRD id
  Throws:
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### deleteCompletedCRD

    void deleteCompletedCRD(java.lang.String loginUser,
                            int[] ids)
                            throws java.rmi.RemoteException,
                                   CRDManageException

  Deletes completed CRD tasks.

  Parameters:
    `id` - completed CRD ids array.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### getCompletedCRD

    CompletedCRDInfo getCompletedCRD(java.lang.String loginUser,
                                     int id)
                                     throws java.rmi.RemoteException,
                                            CRDManageException

  Gets a Completed CRD.

  Parameters:
    `id` - the Completed CRD id.
  Returns:
    Completed CRD Information.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### listCompletedCRDs

    java.util.Vector<CompletedCRDInfo> listCompletedCRDs(java.lang.String loginUser)
                                                         throws java.rmi.RemoteException,
                                                                CRDManageException

  Gets completed CRD tasks list.

  Returns:
    Completed CRD tasks list.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs when managing CRD(cached report data).

### getParamInfos

    java.util.List<RemoteParamInfo> getParamInfos(java.lang.String loginUser,
                                                  CRDInfoKey crdKey)
                                                  throws java.rmi.RemoteException,
                                                         CRDManageException

  Gets parameter information.

  Parameters:
    `loginUser` - , the login user id..
    `crdKey` - CRD information key.
  Returns:
    parameter information
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `CRDManageException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD